
%define 	module	text_file

Summary:	Python module that simplifies text file processing
Summary(pl.UTF-8):	Moduł Pythona upraszczający przetwarzanie plików tekstowych
Name:		python-%{module}
Version:	1.0
Release:	4
License:	CNRI
Group:		Libraries/Python
Source0:	http://www.mems-exchange.org/software/files/%{module}/%{module}-%{version}.tar.gz
# Source0-md5:	de5e02741a0bf64635d0321eff635ee3
URL:		http://www.mems-exchange.org/software/text_file/
BuildRequires:	python-devel >= 1:2.3
BuildRequires:	python-modules
BuildRequires:	rpm-pythonprov
Requires:	python >= 2.3
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
text_file.py is a Python module that provides the class TextFile,
instances of which are file-like objects that take care of many common
tasks needed when reading text files in the traditional Unix way:
strip comments, skip blank lines, join physical lines into logical
lines, strip trailing and/or leading whitespace, and collapse internal
whitespace. All of these are optional and independently controllable.
See the documentation in text_file.py for full details.

Note that TextFile objects do not have precisely the same semantics as
Python file objects, so they are not 100% compatible with each other.
See the class documentation for details.

%description -l pl.UTF-8
test_file.py jest modułem Pythona udostępniającym klasę TextFile,
której instancje są obiektami podobnymi do pythonowych obiektów file.
Klasa TextFile w sposób przezroczysty odpowiada za przeprowadzanie
użytecznych i znanych w środowisku uniksowym operacji podczas czytania
plików tekstowych: łączenie linii fizycznych w logiczne, usuwanie
początkowych i/lub końcowych białych znaków oraz wewnętrzne
redukowanie białych znaków. Wszystkie z tych operacji są opcjonalne i
niezależnie konfigurowalne. Dokumentacja modułu umieszczona jest
bezpośrednio w pliku text_file.py.

Należy zauważyć, iż obiekty TextFile nie mają semantyki zgodnej z
obiektami file Pythona, nie są więc w stu procentach kompatybilne z
innymi modułami udostępniającymi podobną funkcjonalność. Szczegóły
opisane są w dokumentacji klasy.

%prep
%setup -q -n %{module}-%{version}

%build
python setup.py build_ext

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{py_sitescriptdir}

%py_install \
	--install-lib=%{py_sitescriptdir} \
	--optimize=2

find $RPM_BUILD_ROOT%{py_sitescriptdir} -name \*.py -exec rm {} \;

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%{py_sitescriptdir}/text_file.py[oc]
%changelog
* Sun Nov 29 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-text_file.git;a=log;h=master

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 48e9b06
- release 4 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 6fcd414
- automatic change: use py_build/py_install macros

* Fri Jan 28 2011 sparky <sparky@pld-linux.org> 253ef8a
- unified first line (one with cvs keywords)

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> ae564f7
- added BR: python-modules, rpm-pythonprov

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 9a2f883
- release 3

* Fri Oct 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 6e5c516
- release 2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> ddbe9aa
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> eb95b1a
- converted to UTF-8

* Sat Nov 27 2004 saq <saq@pld-linux.org> 53b573f
- massive attack: added missing python-devel epoch do BR

* Wed Jul 28 2004 Michal Chruszcz <mchruszcz@gmail.com> 66d00dd
- removed %%include /usr/lib/rpm/macros.python

* Sat May 29 2004 Marcin Gajda <m.gajda@functional-software.com> 1df062d
- use logic, Luke...

* Sat May 29 2004 Marcin Gajda <m.gajda@functional-software.com> 4585dac
- no smile

* Sat May 29 2004 Marcin Gajda <m.gajda@functional-software.com> 3db54d9
- pl fixes

* Sat May 29 2004 Marcin Gajda <m.gajda@functional-software.com> d9fcf95
- initial

